Patients API
Update a patient
Update a patient in the current workspace.
PATCH
/v1/patients/{patientId}Request
Path, query, and JSON body fields accepted by this operation.
patientIdstring<uuid>requiredpathfirstNamestringbodymin length 1max length 80lastNamestringbodymin length 1max length 80emailstring | nullbodyphonestring | nullbodymin length 5max length 40dateOfBirthstring<date> | nullbodystatus"active" | "inactive" | "archived"bodyexpectedUpdatedAtstring<date-time>requiredbody
Response
Successful responses use Dawn's data envelope.
dataPatientrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredfirstNamestringrequiredmin length 1max length 80lastNamestringrequiredmin length 1max length 80emailstring<email> | nullrequiredphonestring | nullrequiredmin length 5max length 40dateOfBirthstring<date> | nullrequiredstatus"active" | "inactive" | "archived"requiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
404The patient could not be found.409The patient changed or the email address is already in use.422The patient ID or patient details are invalid.503The patient could not be saved.
Last updated on